API ReferenceParticipants
Delete participant
Roles
admindts-provider
Analytics Events
ECOSYSTEM_PARTICIPANT_DELETE_STARTECOSYSTEM_PARTICIPANT_DELETE_SUCCESSECOSYSTEM_PARTICIPANT_DELETE_FAIL
DELETE
/v1/ecosystems/{ecosystemId}/participants/{participantId}Deletes a participant in the requested ecosystem by its ID.
Analytic events
- ECOSYSTEM_PARTICIPANT_DELETE_START
- ECOSYSTEM_PARTICIPANT_DELETE_SUCCESS
- ECOSYSTEM_PARTICIPANT_DELETE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
ecosystemId*string
The UUID of the ecosystem
Format
uuidparticipantId*string
The UUID of the participant
Format
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/participants/a24e391a-c27f-4b6e-9805-1ee7e03f3c58"Empty
{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update participant PUT
Updates a participant in the requested ecosystem by its ID. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_UPDATE_START * ECOSYSTEM_PARTICIPANT_UPDATE_SUCCESS * ECOSYSTEM_PARTICIPANT_UPDATE_FAIL
Create credential type POST
Creates a new credential type in the requested ecosystem. ### **Analytic events** * ECOSYSTEM_CREDENTIAL_CREATE_START * ECOSYSTEM_CREDENTIAL_CREATE_SUCCESS * ECOSYSTEM_CREDENTIAL_CREATE_FAIL